Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7663 - custom upgrade ignores package deselection and fails to detect NTFS
Summary: custom upgrade ignores package deselection and fails to detect NTFS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-07 20:55 UTC by simra
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 20:25:29 UTC


Attachments (Terms of Use)

Description simra 1999-12-07 20:55:00 UTC
Today I upgraded a dual NT/linux box from RH 6.0 to 6.1.  I was concerned
about the effect lilo would have on the NT boot loader, so I elected to
select the packages to upgrade, and deselected all the kernel packages.
When the upgrade continued, it went ahead and installed the kernel packages
anyway and ran lilo, wiping out the NT bootloader on the master boot
record.
(PS how can I get NT booting again?)

Comment 1 Jay Turner 2000-02-09 20:25:59 UTC
The kernel is not something that the user can choose to not upgrade, so . . .
We have removed this selection from the Individual Package Selection screen in
the latest installer.  In addition, we have added the Lilo Config screen to the
Upgrade path so that the user can choose where and whether to install Lilo.

Comment 2 simra 2000-02-10 16:35:59 UTC
Are you sure this is wise?  Suppose I have a custom-compiled kernel on my
machine that's newer than the one on the upgrade- I should have the choice to
not install it.


Note You need to log in before you can comment on or make changes to this bug.